Bug 1264609 - [abrt] x2goclient: publickey_to_string(): x2goclient killed by SIGSEGV
[abrt] x2goclient: publickey_to_string(): x2goclient killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: x2goclient (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d22bd0af765b1b519f3c1238bea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 03:47 EDT by chanueting
Modified: 2015-10-15 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: x2goclient-4.0.5.0-3.fc23 x2goclient-4.0.5.0-3.fc22 x2goclient-4.0.5.0-3.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-03 13:48:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.19 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: core_backtrace (8.41 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: dso_list (15.09 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: environ (1.89 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: maps (67.29 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: mountinfo (3.21 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: open_fds (1.14 KB, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: proc_pid_status (1007 bytes, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-09-19 03:47 EDT, chanueting
no flags Details

  None (edit)
Description chanueting 2015-09-19 03:47:33 EDT
Description of problem:
Connecting Host with ED25519 key

Version-Release number of selected component:
x2goclient-4.0.5.0-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        x2goclient
crash_function: publickey_to_string
executable:     /usr/bin/x2goclient
global_pid:     2894
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 publickey_to_string at /usr/src/debug/libssh-0.7.1/src/legacy.c:547
 #1 SshMasterConnection::userAuthWithKey at ../src/sshmasterconnection.cpp:1105
 #2 SshMasterConnection::userAuth at ../src/sshmasterconnection.cpp:1249
 #3 SshMasterConnection::run at ../src/sshmasterconnection.cpp:647
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:349
Comment 1 chanueting 2015-09-19 03:47:36 EDT
Created attachment 1075137 [details]
File: backtrace
Comment 2 chanueting 2015-09-19 03:47:38 EDT
Created attachment 1075138 [details]
File: cgroup
Comment 3 chanueting 2015-09-19 03:47:39 EDT
Created attachment 1075139 [details]
File: core_backtrace
Comment 4 chanueting 2015-09-19 03:47:40 EDT
Created attachment 1075140 [details]
File: dso_list
Comment 5 chanueting 2015-09-19 03:47:42 EDT
Created attachment 1075141 [details]
File: environ
Comment 6 chanueting 2015-09-19 03:47:43 EDT
Created attachment 1075142 [details]
File: limits
Comment 7 chanueting 2015-09-19 03:47:45 EDT
Created attachment 1075143 [details]
File: maps
Comment 8 chanueting 2015-09-19 03:47:46 EDT
Created attachment 1075144 [details]
File: mountinfo
Comment 9 chanueting 2015-09-19 03:47:47 EDT
Created attachment 1075145 [details]
File: namespaces
Comment 10 chanueting 2015-09-19 03:47:49 EDT
Created attachment 1075146 [details]
File: open_fds
Comment 11 chanueting 2015-09-19 03:47:50 EDT
Created attachment 1075147 [details]
File: proc_pid_status
Comment 12 chanueting 2015-09-19 03:47:51 EDT
Created attachment 1075148 [details]
File: var_log_messages
Comment 13 Orion Poplawski 2015-09-19 15:35:29 EDT
Filed upstream: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=945
Comment 14 Fedora Update System 2015-09-22 10:57:15 EDT
x2goclient-4.0.5.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16425
Comment 15 Fedora Update System 2015-09-22 10:57:21 EDT
x2goclient-4.0.5.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16426
Comment 16 Fedora Update System 2015-09-22 23:55:09 EDT
x2goclient-4.0.5.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update x2goclient'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16425
Comment 17 Fedora Update System 2015-09-23 01:22:58 EDT
x2goclient-4.0.5.0-3.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update x2goclient'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16424
Comment 18 Fedora Update System 2015-09-23 17:23:00 EDT
x2goclient-4.0.5.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update x2goclient'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16426
Comment 19 Fedora Update System 2015-10-03 13:48:42 EDT
x2goclient-4.0.5.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2015-10-08 15:51:30 EDT
x2goclient-4.0.5.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-10-15 00:18:52 EDT
x2goclient-4.0.5.0-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.